Bug 430174 - Virt-manager main screen out of sync with console
Virt-manager main screen out of sync with console
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 19:20 EST by Andy Grover
Modified: 2008-11-26 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 10:59:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager screenshot (85.28 KB, image/png)
2008-01-24 19:20 EST, Andy Grover
no flags Details
virt-manager.log (5.25 KB, text/plain)
2008-01-25 17:56 EST, Andy Grover
no flags Details
xm list --long output (3.12 KB, text/plain)
2008-01-25 17:57 EST, Andy Grover
no flags Details
xend.log: start service, start a vm and shutdown vm (27.27 KB, text/plain)
2008-02-04 17:57 EST, Andy Grover
no flags Details
qemu log (491 bytes, text/plain)
2008-02-04 17:58 EST, Andy Grover
no flags Details
xm list --long output from before shutdown (4.15 KB, text/plain)
2008-02-04 18:00 EST, Andy Grover
no flags Details

  None (edit)
Description Andy Grover 2008-01-24 19:20:53 EST
Starting a HVM guest and then in the graphical console clicking "Shutdown"
results in the console displaying "guest not running" while the main window
still says running. I cannot restart the guest. Screenshot attached.
Comment 1 Andy Grover 2008-01-24 19:20:53 EST
Created attachment 292885 [details]
virt-manager screenshot
Comment 2 Daniel Berrange 2008-01-24 19:27:09 EST
Hmm, a little odd. Please provide /root/.virt-manager/virt-manager.log and
output of 'xm list --long' so we can find out which bit is lieing.
Comment 3 Daniel Berrange 2008-01-24 19:27:44 EST
Oh, and what version of the libvirt and virt-manager RPMs have you got installed ?
Comment 4 Andy Grover 2008-01-25 17:56:13 EST
libvirt-0.4.0-4.fc8
virt-manager-0.5.3-1.fc8

attaching other stuff you asked for.
Comment 5 Andy Grover 2008-01-25 17:56:43 EST
Created attachment 293017 [details]
virt-manager.log
Comment 6 Andy Grover 2008-01-25 17:57:24 EST
Created attachment 293018 [details]
xm list --long output
Comment 7 Daniel Berrange 2008-01-25 18:14:55 EST
Ok, so the 'xm list' output shows no 'domid' for VM 'winxp' so the guest is
definitely not running & thus the console is correct. I'm not sure why the main
listing still shows it as running. Can you check the Edit -> Preferences and see
if there's a overly-large refresh rate setting ? That refresh rate controls how
often state is refreshed in the main display.
Comment 8 Andy Grover 2008-01-25 18:33:38 EST
this info was from running and shutting down VM 'svr2k3'. (I'm seeing the same
problem from either guest and just did svr2k3 this time.)

Edit->preferences refresh is 1 second.

There seem to be some exceptions in the virt-manager.log, what do you make of those?
Comment 9 Daniel Berrange 2008-01-25 18:46:01 EST
Ahh that makes a little more sense then. The 'xm list' output shows that
'svr2k3' does have a domid set, so is running. Oddly though, there are no
devices listed for this guest at all - no NIC, no disk, no framebuffer. The
latter missing device is why the VNC console has been stopped. So virt-manager
is actually operating correct in this respect - the guest is running, but there
is no framebuffer - its merely a bad error message in the console here.

I'm puzzled why Xen would have 'lost' all the devices for this still running
guest. Can you provide the /var/log/xen/xend.log and also tell me if any
'qemu-dm' process is running ?
Comment 10 Daniel Berrange 2008-01-25 18:46:53 EST
BTW, the exceptions, while scary, are usually to be expected in during a domain
transition from running to stopped - you typically get one or two of them - if
they continue to be logged indefinitely though it would be a problem
Comment 11 Andy Grover 2008-02-04 17:54:43 EST
xm list --long shows devices until I click "Shutdown". I don't see any qemu-dm
processes.

I'm attaching all logs and output from xm list long before shutdown.
Comment 12 Andy Grover 2008-02-04 17:57:47 EST
Created attachment 293953 [details]
xend.log: start service, start a vm and shutdown vm
Comment 13 Andy Grover 2008-02-04 17:58:30 EST
Created attachment 293954 [details]
qemu log
Comment 14 Andy Grover 2008-02-04 18:00:27 EST
Created attachment 293955 [details]
xm list --long output from before shutdown
Comment 15 Bug Zapper 2008-11-26 04:33:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Cole Robinson 2008-11-26 10:59:18 EST
Hmm, previous comments make it seem like this isn't a virt-manager issue, though it sounds like there could be xen issues at hand. I'm closing this as NOTABUG, but please reopen against xen if you are still seeing the above issues.

Note You need to log in before you can comment on or make changes to this bug.